Subject: zsh home service breaks guix shell via ssh

From: Malte Frank Gerdes <[email-masked]>
Date: Sat, 23 Sep 2023 12:19:10 +0200

Hi,

i set up a new system last weekend and am connecting to it via ssh.  I
also just recently started using guix home.

I noticed that after connecting via ssh the profile that gets created
when doing `guix shell' is not sourced, therefore the environment
variables are not correct.  This seems to be because guix home inserts
"[ -n \"$SSH_CLIENT\" ] && source /etc/profile" into the zshenv file.  I
assume this is meant to ensure that /etc/profile is sourced because ssh
does not start a login shell?  Anyway, removing that line makes
everything work normally.  So am i doing it wrong or is this actually
unnecessary?

mfg²